Bug 1410951 - Review Request: python3-pycparser - C parser and AST generator written in Python
Summary: Review Request: python3-pycparser - C parser and AST generator written in Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1410953
TreeView+ depends on / blocked
 
Reported: 2017-01-06 23:35 UTC by Orion Poplawski
Modified: 2017-02-22 21:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 14:49:51 UTC
Type: Bug
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Orion Poplawski 2017-01-06 23:35:43 UTC
Spec URL: https://www.cora.nwra.com/~orion/fedora/python3-pycparser.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/python3-pycparser-2.14-1.el7.src.rpm
Description:
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

Fedora Account System Username: orion

This is an EPEL only package.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17183427

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-02-04 16:56:04 UTC
Group: System Environment/Libraries
→ unnecessary, https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections.
Especially in this case, "System environment" is pretty meaningless.
(If it's necessary for EPEL, please disregard. I couldn't find anything in the EPEL-specific guidelines.)

http://github.com/eliben/pycparser/archive/release_v%{version}.tar.gz
→ you could put #/%{name}-%{version}.tar.gz at the end...

rpmlint:
python34-pycparser.noarch: W: no-documentation
python34-pycparser.noarch: E: python-bytecode-inconsistent-mtime
Dunno, looks bogus.

I think all the general and EPEL-specific guidelines are being followed.
+ package name is OK
+ license is OK
+ P/R/BR look OK
+ builds and install in epel-7 mock OK
+ rpmlint doesn't seem to say anything useful

Package is APPROVED.

Comment 2 Gwyn Ciesla 2017-02-06 13:29:28 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python3-pycparser

Comment 3 Fedora Update System 2017-02-06 17:43:57 UTC
python3-pycparser-2.14-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ad72cdd063

Comment 4 Fedora Update System 2017-02-06 17:44:05 UTC
python3-pycparser-2.14-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ce9dc3d06c

Comment 5 Fedora Update System 2017-02-07 04:17:30 UTC
python3-pycparser-2.14-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ce9dc3d06c

Comment 6 Fedora Update System 2017-02-07 04:18:20 UTC
python3-pycparser-2.14-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ad72cdd063

Comment 7 Fedora Update System 2017-02-22 14:49:51 UTC
python3-pycparser-2.14-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-02-22 21:47:31 UTC
python3-pycparser-2.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.